"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.handlers = void 0;

var _lodash = require("lodash");

var _core = require("@babel/core");

var defaults = {
  extensions: ['js']
};

function shouldProcessFile(filename, _ref) {
  var extensions = _ref.extensions;
  return (0, _lodash.includes)(extensions, (0, _lodash.last)(filename.split('.')));
}

function processFile(source, options) {
  return (0, _core.transform)(source, (0, _lodash.omit)(options, 'extensions')).code;
} // eslint-disable-next-line import/prefer-default-export


var handlers = {
  beforeParse: function beforeParse(event) {
    var options = (0, _lodash.assign)(defaults, {
      filename: event.filename
    }, (0, _lodash.get)(global, 'env.conf.babel'));

    if (shouldProcessFile(event.filename, options)) {
      // eslint-disable-next-line no-param-reassign
      event.source = processFile(event.source, options);
    }
  }
};
exports.handlers = handlers;